Bug 480733 - 2 volume rebuilding problem - second volume rebuild doesn't succeed.
2 volume rebuilding problem - second volume rebuild doesn't succeed.
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.4
All Linux
low Severity medium
: rc
: ---
Assigned To: Red Hat Kernel Manager
Red Hat Kernel QE team
: Reopened
Depends On: 503070
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-20 02:37 EST by Krzysztof Wojcik
Modified: 2009-09-02 04:59 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 04:59:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Krzysztof Wojcik 2009-01-20 02:37:19 EST
Description: 
When creating 2 RAID VOLUME, rebuilding on the second volume doesn't succeed.
During rebuild I got info on screen: "device-mapper: dm-raid45: io_put would go negative!!!"
When doing the same on the first volume, rebuild succeeds.

Steps to reproduce.
dmraid -f isw -C r5d3n1s64-5 --type 5 --strip 64K --size 5G --disk "/dev/sdb /dev/sdc /dev/sdd"
dmraid -f isw -C r5d3n0s64-5 --type 5 --strip 64K --size 5G --disk "/dev/sdb /dev/sdc /dev/sdd"
dmraid -a y
mkfs.ext3 /dev/mapper/isw_cgdihgcccd_r5d3n0s64-5 
mkdir /mnt/isw_cgdihgcccd_r5d3n0s64-5 
mount /dev/mapper/isw_cgdihgcccd_r5d3n0s64-5 /mnt/isw_cgdihgcccd_r5d3n0s64-5 
openssl rand -out /mnt/isw_cgdihgcccd_r5d3n0s64-5/testfile.bin 536870912
modprobe dm_raid45
dmraid -f isw -S -M /dev/sde
dmsetup status
dmsetup table
dmsetup info
fdisk -l
dmraid -s
dmraid -n
!!!REMOVE DRIVE HERE!!!
dmraid -R isw_cgdihgcccd_r5d3n0s64-5 
dmsetup status
dmsetup table
dmsetup info
fdisk -l
dmraid -s
dmraid -n
!!!NOTHING HAPPENS HERE!!!

Expected results when rebuilding is finished:
isw_cgdihfhgac_r5d3n0s64-5: 0 632840448 raid45 3 8:48 8:16 8:32 1 AAA
TestPC6_1231936876058# Rebuild status for isw_cgdihfhgac_r5d3n0s64-5 is AAA

Actual results when rebuilding is finished:
isw_cgdihfhgac_r5d3n0s64-5: 0 632840448 raid45 3 8:48 8:16 8:32 1 AiAA
TestPC6_1231936876058# Rebuild status for isw_cgdihfhgac_r5d3n0s64-5 is AiAA


Environment Details:
-OS: RH5.3
-Kernel: 2.6.18.128.el5
-dmraid: 1.0.0.rc13-17
-Device mapper: 1.02.28 (2008-09-18)
-Build 5.3_01.00.23.001.0_BIN
-Chipset: ICH9
Comment 1 Krzysztof Wojcik 2009-03-03 06:51:45 EST
Issue does not reproduce.
We got rebuild error because design of the test was wrong.
This bug should be closed.
Comment 2 Heinz Mauelshagen 2009-04-24 07:51:40 EDT
Reopening, because I don't think that any test design may be allowed to trigger that target internal error "device-mapper: dm-raid45: io_put would go negative!!!".

This has to be regression tested, because my new kernel patch corrects this io reference counting (io_get/io_put) pairs.
Comment 3 Heinz Mauelshagen 2009-04-24 07:55:19 EDT
Patch committed to rhkernel-list for RHEL5.4 inclusion.
Comment 4 Don Zickus 2009-05-12 13:41:00 EDT
in kernel-2.6.18-146.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Please do NOT transition this bugzilla state to VERIFIED until our QE team
has sent specific instructions indicating when to do so.  However feel free
to provide a comment indicating that this fix has been verified.
Comment 6 Chris Ward 2009-07-03 14:21:23 EDT
~~ Attention - RHEL 5.4 Beta Released! ~~

RHEL 5.4 Beta has been released! There should be a fix present in the Beta release that addresses this particular request. Please test and report back results here, at your earliest convenience. RHEL 5.4 General Availability release is just around the corner!

If you encounter any issues while testing Beta, please describe the issues you have encountered and set the bug into NEED_INFO. If you encounter new issues, please clone this bug to open a new issue and request it be reviewed for inclusion in RHEL 5.4 or a later update, if it is not of urgent severity.

Please do not flip the bug status to VERIFIED. Only post your verification results, and if available, update Verified field with the appropriate value.

Questions can be posted to this bug or your customer or partner representative.
Comment 8 errata-xmlrpc 2009-09-02 04:59:28 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1243.html

Note You need to log in before you can comment on or make changes to this bug.